package com.ruoyi.indica.mapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.indica.domain.CIndicationInfo;
import com.ruoyi.trade.domain.CTrademark;

/**
 * 地理标志Mapper接口
 *
 * @author ruoyi
 * @date 2023-04-28
 */
public interface CIndicationInfoMapper extends BaseMapper<CIndicationInfo> {

	List<Map> listForLast();

    List<Map> listReportGrowth(CIndicationInfo cIndicationInfo);
    List<Map> listReportMark(CIndicationInfo cIndicationInfo);

    List<Map> listReportHzqy(CIndicationInfo cIndicationInfo);
    

    List<Map> listReportFarm(CIndicationInfo cIndicationInfo);
    
    void clearData();
    

    
}
